<div class="card">
    <div class="card-header h6">Part 3. PCI DSS Validation (Continued)</div>
    <div class="card m-4">
        <div class="card-header d-flex h6"><b>Part 3c. Qualified Security Assessor (QSA) Acknowledgement (if
            applicable)</b>
            <div class="form-group ml-4">
                <label class="form-check-label">
                    <input class="form-check-input" type="checkbox" [checked]="enableForm"
                           (change)="enableForm = !enableForm; toggleForm()">
                </label>
            </div>
        </div>
        <form (ngSubmit)="saveAndContinue()" #qsaAttestationForm="ngForm">
            <div class="form-group">
                <label class="col-sm-3 col-md-3 col-xs-3"><b>Signature of Duly Authorized Officer of QSA
                    Company</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <jhi-signature-pad
                        (signatureDone)="qsaAttestation.qsaAttestorSignature = $event; qsaAttestationForm.form.markAsDirty()"
                        [(selectedSignature)]="qsaAttestation.qsaAttestorSignature" [(disableEdit)]="!enableForm">
                    </jhi-signature-pad>
                    <div *ngIf="!qsaAttestation.qsaAttestorSignature  && submitted && enableForm"
                         class="alert alert-danger w-100">
                        <div [hidden]="qsaAttestation.qsaAttestorSignature">Signature is required!!</div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 col-md-3 col-xs-3"><b>Date</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <div class="form-inline">
                        <div class="form-group">
                            <input class="date-input form-control w-100" disabled type="text"
                                   value="{{currentDate}}">
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 col-md-3  col-xs-3"><b>Duly Authorized Officer Name</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <input class="form-control" type="text" name="officerName"
                           [(ngModel)]="qsaAttestation.qsaAttestorName"
                           required #officerName="ngModel">
                    <div *ngIf="!officerName.valid  && submitted && enableForm"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!officerName.hasError('required')">Name is required!!
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 col-md-3  col-xs-3"><b>QSA Company</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <input class="form-control" type="text" name="companyName"
                           [(ngModel)]="qsaAttestation.qsaAttestorCompany"
                           required #companyName="ngModel">
                    <div *ngIf="!companyName.valid  && submitted && enableForm"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!companyName.hasError('required')">Company is required!!
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="row-md action-div" *ngIf="showSaveBtn()">
        <jhi-button (click)="saveAndExit(qsaAttestationForm)" exit>Save & Exit</jhi-button>
        <jhi-button (click)="saveAndContinue(qsaAttestationForm)" continue>Save & Continue</jhi-button>
    </div>
    <div class="arrows mt-auto mb-4">
        <i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
        <i (click)="forward()" class="fa fa-4x fa-angle-right float-right mr-4"></i>
    </div>
</div>
